Bug 235981 - [patch] lang/coffeescript: set NO_ARCH
Summary: [patch] lang/coffeescript: set NO_ARCH
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vinícius Zavam
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2019-02-24 02:44 UTC by Samy Mahmoudi
Modified: 2019-02-28 10:17 UTC (History)
3 users (show)

See Also:
egypcio: maintainer-feedback+


Attachments
Patch file generated with svn diff (256 bytes, patch)
2019-02-24 02:44 UTC, Samy Mahmoudi
no flags Details | Diff
Poudriere log (15.46 KB, text/plain)
2019-02-24 02:45 UTC, Samy Mahmoudi
no flags Details
Patch file generated with svn diff (372 bytes, patch)
2019-02-24 06:04 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-02-24 02:44:11 UTC
Set NO_ARCH
Comment 1 Samy Mahmoudi 2019-02-24 02:44:57 UTC
Created attachment 202309 [details]
Patch file generated with svn diff
Comment 2 Samy Mahmoudi 2019-02-24 02:45:34 UTC
Created attachment 202310 [details]
Poudriere log
Comment 3 Samy Mahmoudi 2019-02-24 06:04:44 UTC
Created attachment 202314 [details]
Patch file generated with svn diff
Comment 4 Samy Mahmoudi 2019-02-24 06:05:07 UTC
(In reply to Samy Mahmoudi from comment #0)

Set NO_ARCH.
Comment 5 Vinícius Zavam freebsd_committer 2019-02-24 10:36:37 UTC
(In reply to Samy Mahmoudi from comment #4)

Hi Samy,
thank you for your patch! very appreciated.

I'm gonna have a look and test it against 11, 12 and HEAD (in different architectures) and should report back to you as soon as possible :)

KR,
Comment 6 Vinícius Zavam freebsd_committer 2019-02-24 10:37:20 UTC
adding mentors in cc.
Comment 7 Rene Ladan freebsd_committer 2019-02-24 11:20:09 UTC
There should be no reason to bump PORTREVISION, as the port itself does not change, it is only a tag for pkg(8). But bumping it won't hurt in this case either, as only 2 other ports use this port.
Comment 8 Samy Mahmoudi 2019-02-24 12:47:16 UTC
(In reply to Vinícius Zavam from comment #5)

You are welcome.
Comment 9 Samy Mahmoudi 2019-02-24 12:57:49 UTC
(In reply to Rene Ladan from comment #7)

Thank you for the information. Already used elsewhere, as in Bug 235982 ;-)
Comment 10 Vinícius Zavam freebsd_committer 2019-02-24 14:20:33 UTC
(In reply to Rene Ladan from comment #7)

as it takes some time to build, I would like to try avoiding the PORTREVISION bump. what do you think about it?

this should help poudriere bulks to not waste time and resources building it (as we know that it's just a flag for pkg and does not really impact, help or change the port/package features anyway)
Comment 11 Vinícius Zavam freebsd_committer 2019-02-27 18:04:22 UTC
(In reply to Samy Mahmoudi from comment #9)

we are just waiting for approval, or an explicit rejection regarding your patch - it's just cosmetics, but I have nothing against pushing it to the tree.

again, very appreciated for all your time and concern on sharing your patch with us. thanks! kr,
Comment 12 Rene Ladan freebsd_committer 2019-02-27 19:32:08 UTC
Approved (I guess the concensus is to not bump PORTREVISION?)
Comment 13 commit-hook freebsd_committer 2019-02-28 09:18:32 UTC
A commit references this bug:

Author: egypcio
Date: Thu Feb 28 09:18:06 UTC 2019
New revision: 494137
URL: https://svnweb.freebsd.org/changeset/ports/494137

Log:
  lang/coffeescript: set NO_ARCH

    - PORTREVISION was not bumped.

  PR:		235981
  Submitted by:	Samy Mahmoudi <samy.mahmoudi % gmail.com>
  Approved by:	rene (mentor)

Changes:
  head/lang/coffeescript/Makefile
Comment 14 Vinícius Zavam freebsd_committer 2019-02-28 09:19:39 UTC
thank you everyone. appreciated!
Comment 15 Samy Mahmoudi 2019-02-28 10:17:23 UTC
Thanks!